Put_Sprite_Overwrite:
; A = x coordinate
; L = y coordinate 
; B = number of rows
; 
; IX = address of sprite




    LD     H, 0
    LD     D, H
    LD     E, L
    ADD    HL, HL
    ADD    HL, DE
    ADD    HL, HL
    ADD    HL, HL

    LD     E, A
    SRL    E
    SRL    E
    SRL    E
    ADD    HL, DE

    PUSH AF
    LD A, (Working_On_Number_Of_Ships)

    or a
    jr nz, _

    LD     DE, plotsscreen
    jr ++_

_

    ld de, Number_Of_Ships_Sprite

_

    pop af
    ADD    HL, DE
   
    
    AND    7
    JR     Z, _AlignedOverwrite

    LD     C, A
    PUSH HL
    LD A, 12
    LD HL, Sprite_Width
    SUB (HL)
    LD D,0
    LD E, A

    ld a, (Working_On_Number_Of_Ships)
    or a
    jr z, _

    ld e, 3
_
    POP HL    
    
_RowLoopOverwrite:

    PUSH   BC
    
    ;Stores width into B, which will be decreased 1 by 1 until one row is complete
    LD A, (Sprite_Width)
    LD B, A
    

_ColumnLoopOverwrite:
    PUSH BC 
       
    LD     B, C
    LD     A, (IX)
    LD C, 0

_ShiftLoopOverwrite:

   
    rrca
    scf
    rr c
  
    DJNZ   _ShiftLoopOverwrite
    ld b, a
 

    ld a, (hl)
    xor b
    and c
    xor b

    

    LD     (HL), A
    inc hl
    LD     A, C
    cpl
    ld c, a

    LD a, (hl)
    xor b
    and c
    xor b

    ld (hl), a
    pop bc
    INC IX

    DJNZ _ColumnLoopOverwrite


   ADD    HL, DE
    

    pop bc


    DJNZ   _RowLoopOverwrite
    

    RET

_AlignedOverwrite:
   
    PUSH HL
    LD A, 12
    LD HL, Sprite_Width
    SUB (HL)
    LD D,0
    LD E, A

    ld a, (Working_On_Number_Of_Ships)
    or a
    jr z, _

    ld e, 3
_

    POP HL  
     
_PutLoopOverwrite:
    PUSH BC
    LD A, (Sprite_Width)
    LD B, A 

_PutLoopOverwrite2:
    
    LD     A, (IX)


    
    LD     (HL), A
    INC  IX
  
    INC HL

    DJNZ _PutLoopOverwrite2
_PutLoopOverwriteAdd:
    POP BC

 ADD HL, DE
 DJNZ _PutLoopOverwrite

 RET