Bytes_To_Send_And_Recieve .equ 12

Multiplayer_Exchange:


	ld hl, Multiplayer_Data_Send
	ld de, Multiplayer_Data_Recieved
	ld b, Bytes_To_Send_And_Recieve
	
	call bell_swapBlock


;Do stuff with the data.
;First, construct a building if needed.

Construct_Building_If_Needed:

	ld hl, Multiplayer_Data_Recieved
	ld a, (hl)
	
;If a = 0, there is no building to construct.

	or a
	ret z

; For constructing a building, the first byte
; is the building being constructed.  The second and
; third bytes are the tile location on the map.


	inc hl

;Get the first byte so that the calculator knows 
;what the opposing calcaulator is constructing

	ld a, (hl)

	ld (BuildingSelected), a
	
	inc hl

;We take the Tile X, Tile Y, and convert them to a
;map position. TileY * MapWidth + TileX = Map Position.

	
	ld a, (hl)
	ld (TileX), a
	
	ld c, a		;Saves the TileX position.

;Get the tile Y so that we can find TileY * MapWidth.

	inc hl
	ld a, (hl)
	ld (TileY), a

	ld d, 0
	ld e, a

	ld a, (MapWidth)

	call Multiply_DE_By_A

	ld b, 0

	add hl, bc

;HL contains the correct tile location.
;Now we want to make sure the calculator knows that
;we are adding a building for the opposing player.

	ld a, (PlayerID)
	push af

	or a
	jr z, Opposing_Building_Is_Join_Building

	xor a
	ld (PlayerID), a

	jr Set_Sending_Data_Construct_Building

Opposing_Building_Is_Join_Building:

	ld a, 100
	ld (PlayerID), a


Set_Sending_Data_Construct_Building:	
	

	SET Sending_Data, (IY + flag + 3)

	;call Construct_Building_From_Opposing_Calculator

	RES Sending_Data, (IY + flag + 3)

	pop af
	ld (PlayerID), a

	ret

Update_Ship_Position_If_Needed:



