

;Variables required in the structure:
;X--X Position (2 bytes)
;Y--Y Position (2 bytes)
;Structure
;HP--Health Points (2 bytes)
;Building Time (2 bytes)
;Width, Height (2 bytes, 1 for each)

Structure_X_Position .equ 0
Structure_Y_Position .equ 2
Structure_Type_ID .equ 4
Structure_HP .equ 5
Structure_Building_Time .equ 7
Structure_Width .equ 9
Structure_Height .equ 10




;Stores all the graphics for drawing buildings for optimization purposes
Structure_Graphics_Addresses .equ $9D95 + 9000



Structure_Operation_Center .equ 0
Structure_Transformation_Gateway .equ 1
Structure_Point_Defense .equ 2
Structure_AA_Defense .equ 3
Structure_Universal_Defense .equ 4
Strucutre_Refinery .equ 5
Structure_Detector .equ 6
Structure_Watchtower .equ 7
Structure_Argo_Laboratory .equ 8
Structure_Factory .equ 9
Structure_Starbase .equ 10
Structure_Armory .equ 11
Structure_Command_Center .equ 12
Structure_Manhatton_Center .equ 13
Structure_Quantum_Facility .equ 14
Structure_ACC .equ 15



X_Position .equ 0
Y_Position .equ 2
Structure_Type .equ 4
HP .equ 5
Building_Time .equ 7

; Ram Locations.

;Location for holding where structures are placed

Structures .equ 0 	;For 50 structures, this requires
			;550 bytes

 jp Start

 .db 0



 ;.dw Load_Sprite_Data
; .db 1

 .dw Load_Reclauda
 .db 1

 .dw Load_Map_Data
 .db 2

 .dw Load_Tile_Data
 .db 3

 .dw Load_Balkstone
 .db 1

 .dw Load_Splitron
 .db 1

 .dw Load_Degruser
 .db 1

 .dw Load_Raptor
 .db 1

 .dw Load_Scouter
 .db 1

 .dw Load_Argo
 .db 1

 .dw Load_Camoza
 .db 1

 .dw Draw_Menu
 .db 1

 .dw Draw_Ship_Group_Information
 .db 1

 .dw Rotate_Cursor_Mode
 .db 0
 
 .dw Interrupt_Routine
 .db 0

 .dw Do_Menu_Operation
 .db 1

 .dw Put_Text_Zero_End
 .db 0

 .dw Put_Text_B_Length
 .db 0

 .dw Get_X_Y_Icon_Menus
 .db 1

 .dw Standard_Alert_Standard_Data
 .db 0

 .dw Start_Construction_Of_Processing_Unit
 .db 1

 .dw Continue_Ship_Startup
 .db 0

 .dw bintobcd16
 .db 0

 .dw CheckMenuOkay
 .db 1

 .dw MenuMoveRight
 .db 1

 .dw Set_Ship_Mode
 .db 0


;_Load_Sprite_Data .equ 44*3
_Load_Map_Data .equ 45*3
_Load_Tile_Data .equ 46*3
_Load_Reclauda .equ 44*3
_Load_Balkstone .equ 47 * 3
_Load_Splitron .equ 48 * 3
_Load_Degruser .equ 49 * 3
_Load_Raptor .equ 50 * 3
_Load_Scouter .equ 51 * 3
_Load_Argo .equ 52 * 3
_Load_Camoza .equ 53 * 3
_Draw_Menu .equ 54 * 3
_Draw_Ship_Group_Information .equ 55 * 3
_Rotate_Cursor_Mode .equ 56 * 3
_Interrupt_Routine .equ 57 * 3
_Do_Menu_Operation .equ 58 * 3
_Put_Text_Zero_End .equ 59 * 3
_Put_Text_B_Length .equ 60 * 3
_Get_X_Y_Icon_Menus .equ 61 * 3
_Standard_Alert_Standard_Data .equ 62 * 3
_Start_Construction_Of_Processing_Unit .equ 63 * 3
_Continue_Ship_Startup .equ 64 * 3
_bintobcd16 .equ 65 * 3 
_CheckMoveOkay .equ 66 * 3
_MenuMoveRight .equ 67 * 3
_Set_Ship_Mode .equ 68 * 3


__VPutSN .equ _Put_Text_B_Length

