#include "ti83plus.inc"
#include "app.inc"
#include "relocate.inc"


defpage(0, "SADAlpha")

;  Main app control begins here
StartApp:

#include "SAD Page Data.asm"
#include "SAD Main.asm"
#include "Miscellaneous Text and Text Functions.asm"

#include "Construct Building.asm"

#include "PutSpriteOverwrite.asm"


#include "Context Sensitive Get Key.asm"

#include "AppBackUpScreen Locations.asm"
#include "Bell.inc"
#include "Flags.asm"
#include "Page Zero Math Functions.asm"
#include "Custom Space Font Routine.asm"

#include "spriteroutines.asm"
#include "Cursor and Select Mode.asm"
#include "Unit Attributes.asm"
#include "Collision Functions.asm"
#include "Info Bar Functions.asm"
#include "Draw Ship.asm"
#include "Sprite Data.asm"
#include "Map Data.asm"
#include "Tile Data.asm"
#include "Player Attributes.asm"


validate()
