


;142 bytes at beginning of appbackupscreen, before interrupt table
;153 bytes between interrupt routine and interrupt table
;184 bytes for rest of appbackupscreen


Cursor_Building_Space .equ appbackupscreen





ASCIINumber .equ appbackupscreen + 404	;For conversion from number to text
NumberPreserve .equ appbackupscreen + 410 ;For conversion from number to text


Structures_On_Map = Structure_Locations





flag .equ asm_Flag1



Current_Key_Group .equ appbackupscreen + 421

Interrupt_Counter .equ appbackupscreen + 422



InterruptTimer = Interrupt_Counter
Map_Width=mapwidth

Twenty_Frames_Per_Second .equ 2	;The interrupt routine will
					;run 7 times before a new
					;frame, unless a different value
					;for Frames_Per_Second is specified


Structure_Under_Cursor .equ appbackupscreen + 425

Current_Building = Structure_Under_Cursor

;Text to draw for things like not enough belthium,
;base under attack, etc.

Standard_Alert_Text  .equ appbackupscreen + 427

Standard_Alert_Perimeters .equ appbackupscreen + 431

Money_Amount_Y .equ appbackupscreen + 434
Money_Amount_X .equ appbackupscreen + 435

Working_On_Number_Of_Ships .equ appbackupscreen + 436
Player_Ship_DE .equ appbackupscreen + 437
Preserve_Player_X_Y .equ appbackupscreen + 439


;-------------------------------------------------
;A WHOLE BUNCH OF TIMERS CONTROLLED BY INTERRUPTS.
;-------------------------------------------------

Standard_Alert_Timer .equ appbackupscreen + 441

Gain_Additional_Money_Timer .equ appbackupscreen + 443

Ship_Building .equ appbackupscreen + 445
Building_Emergency_HP .equ appbackupscreen + 446
PlayerID .equ appbackupscreen + 448

Building_Count_Player_Two .equ 1


Multiplayer_Data_Send .equ 1
Multiplayer_Data_Recieved .equ 1


;Now 14 bytes left before interrupt routine

Building_Total_HP .equ appbackupscreen + 449



TagX .equ appbackupscreen + 451
TagY .equ appbackupscreen + 452

DeltaPreserve .equ appbackupscreen + 453 ;Saves whatever was the map scrolling speed


CurrentBuilding .equ appbackupscreen + 455

Sprite_Width .equ appbackupscreen + 457

;How many buildings we have
BuildingCount .equ appbackupscreen + 458

Select_Cursor_X .equ appbackupscreen + 459
Select_Cursor_Y .equ appbackupscreen + 460

BuildingSelected .equ appbackupscreen + 461


;Which menu to draw, if we do indeed need to draw it

MenuIdentity .equ appbackupscreen + 463

TileX .equ appbackupscreen + 464
TileY .equ appbackupscreen + 465

Current_Menu .equ appbackupscreen + 470  ;Two Bytes

Building_Chosen_By_Cursor .equ appbackupscreen + 478
Building_Count .equ appbackupscreen + 475
End_Of_List_Of_Buildings_Under_Construction .equ appbackupscreen + 476
Building_Finished .equ appbackupscreen + 477
Update_Map .equ appbackupscreen + 478
Fog_Mask .equ appbackupscreen + 479
Temp_Fog_1 .equ appbackupscreen + 481
Temp_Fog_2 .equ appbackupscreen + 483
Temp_Fog_3 .equ appbackupscreen + 485
Temp_Fog_4 .equ appbackupscreen + 487



;---------------------------------------------------
; SAVES THE VALUES OF FLAGS THAT ARE NORMALLY
; USED BY THE CALCULATOR
;---------------------------------------------------


FlagPreserve1 .equ appbackupscreen + 550




Tile_X = TileX
Tile_Y = TileY

Cursor_X = Select_Cursor_X
Cursor_Y = Select_Cursor_Y






;Shadow Buffer is used to hold a ship's shadow.

Shadow_Buffer .equ appbackupscreen + 584

Text_Buffer .equ appbackupscreen + 712


Number_Of_Ships_Sprite .equ appbackupscreen + 500
