Build_Raptor:

 ld c, Raptor
 jp Start_Construction_Of_Ship

Build_Argo:

 ld c, Argo
 jp Start_Construction_Of_Ship

Build_Tank:

 ld c, Tank
 jp Start_Construction_Of_Ship

Build_Degruser:

 ld c, Degruser
 jp Start_Construction_Of_Ship

Build_Reclauda:

 ld c, Reclauda
 jp Start_Construction_Of_Ship

Build_Camoza:

 ld c, Camoza
 jp Start_Construction_Of_Ship

Build_Balkstone:

 ld c, Balkstone
 jp Start_Construction_Of_Ship

Build_Splitron:

 ld c, Splitron


Start_Construction_Of_Ship:

 di


;We start by seeing if we can add a new unit.  Up
;to three units can be qued per building.

;Get to the building data of the building we
;selected.

 ld hl, (Current_Building)
 ld (Ship_Building), hl

 call Stay_On_Current_Button
 call Get_To_Structure_Tags_From_Structure_Locations

;To see if we can que a new ship, we start by
;going forward 1 byte and checking the last
;four bits.  If they are less than 3, we can
;build a new one

 

 inc hl

 ld a, (hl)
 and %00001111
 inc a
 

 cp 4
 ret z

 ld (hl), a

;Add a new ship.  We see how many ships
;are qued so that we can know if we are queing a
;first ship, a second, or a third

 cp 3
 jr z, Que_Third_Unit

 cp 2
 jr z, Que_Second_Unit



Que_First_Unit:

 dec hl	;HL points to the qued up 1st and 2nd units

 call Code_To_Call_Construct_Ship
 ld (hl), a
 


 di
 B_CALL _Continue_Ship_Startup
 ei
 ret

Que_Second_Unit:


 dec hl
 ld a, c

 or (hl)
 ld (hl), a

 ret	;Only add a ship to the units under
	;construction if we are queing the first
	;one
 

Code_To_Call_Construct_Ship:

 ld a, c

 rrca \ rrca \ rrca \ rrca
 
 ret


Que_Third_Unit:


 call Code_To_Call_Construct_Ship

 or (hl)
 ld (hl), a

 ret	;Only add a ship to the units under
	;construction if we are queing the first
	;one




Research_Argo_Plasma_Torpedoes:
Research_Mines:
Research_Photon_Torpedoes:
Research_Deflector_Shield:
Research_Extended_Range:
Research_Splitron_Plasma_Torpedoes:
Research_ITNT:
Research_Teleport:
Research_Scouter_Cloak:
Research_Camoza_Cloak:
Research_Balkstone_Cloak:
Research_Jet_Pack:
Goto_Starbase_Menu_One:
Goto_Starbase_Menu_Two:
Research_Detector:
Research_Mine_Detector:
Research_Seismic_Charge:
Research_Camoza_Booster_Engines:
Research_Balkstone_Booster_Engines:

 ret
	